Subject: Re: linux-next: build failure after merge of the pci-current tree

From: Jesse Barnes <[email-masked]>
Date: Fri, 8 Jul 2011 15:49:57 -0700

On Thu, 7 Jul 2011 11:19:10 -0700
Ram Pai <[email-masked]> wrote:

> On Thu, Jul 07, 2011 at 08:52:05AM -0700, Jesse Barnes wrote:
> > On Thu, 7 Jul 2011 10:58:23 +1000
> > Stephen Rothwell <[email-masked]> wrote:
> > 
> > > Hi Jesse,
> > > 
> > > After merging the pci-current tree, today's linux-next build (powerpc
> > > ppc64_defconfig) failed like this:
> > > 
> > > drivers/built-in.o:(.toc1+0xb98): undefined reference to `pci_realloc'
> > > 
> > > Caused by commit 72007d2b4797 ("PCI: conditional resource-reallocation
> > > through kernel parameter pci=realloc").
> > > 
> > > I have used the pci-current tree from next-20110706 for today.
> > 
> > Oops, x86 bits used in common code.  I've pushed a fix that just moves
> > the variable into setup-bus.c rather than x86/pci/common.c.
> 
> Jesse,
> 
> 	I have fixed the problem and have a better patch. See if it is acceptable for you.

Yes, much better, thanks.  I'll send it to Linus tomorrow if I don't
hear any complaints.

-- 
Jesse Barnes, Intel Open Source Technology Center